// AutoDirector site JavaScript

// ________________________________________________________
// check site information
function checkSite() {

	if (loaded) {

		errorsfound = false;

		var site=String(form.siteid.value);
		if (site.length<1 || site.length>20) error("siteid", "Please enter a unique site ID\nof between 1 and 20 characters.");
		var re=/[^a-z]/;
		if (re.test(site)) error("siteid", "Site IDs can only contain the letters a-z.");
		if (site=="sites" || site=="users") error("siteid", "That site ID is not permitted.");
		if (form.emailsales.value != "" && verify_email(form.emailsales.value)=="") error("emailsales", "Please enter a valid sales email address\nor leave the box blank.");
		if (toInt(form.maxusers.value)<1 || toInt(form.maxusers.value)>50) error("maxusers", "There must be between 1 and 50 site users.");
		if (toInt(form.maxentries.value)<1 || toInt(form.maxentries.value)>10000) error("maxentries", "There must be between 1 and 10,000 maximum vehicles.");
		if (toInt(form.maxpics.value)<1 || toInt(form.maxpics.value)>10) error("maxpics", "There must be between 1 and 10 maximum pictures.");
		if (toInt(form.picdimension.value)<200 || toInt(form.picdimension.value)>800) error("picdimension", "The resized picture dimension must\nbe between 200 and 800 pixels.\n\nWhen an image is uploaded, it will\nbe resized so that the width or height\n(or both) matches this dimension.");
		if (toInt(form.thumbdimx.value)<40 || toInt(form.thumbdimx.value)>200) error("thumbdimx", "The thumbnail width must be between 40 and 200 pixels.");
		if (toInt(form.thumbdimy.value)<40 || toInt(form.thumbdimy.value)>200) error("thumbdimy", "The thumbnail height must be between 40 and 200 pixels.");

		if (!errorsfound) {
			form.page.value="update";
			form.submit();
		}

	}
}

// ________________________________________________________
// show a warning message
function showBlock(siteid, blocktype) {

	var msg='';
	switch (blocktype) {
		case "generate":
			msg="Vehicle list generation for the site '"+siteid+"' is blocked.\nVehicles will not appear on your web site, even\nthough you may be able to administer them.";
			break;
		case "vehicle":
			msg="Vehicle administration for the site '"+siteid+"' is blocked.\nYou will not be able to add, edit or remove vehicles.";
			break;
		case "user":
			msg="User administration for the site '"+siteid+"' is blocked.\nYou will not be able to add, edit or remove users.";
			break;
		case "site":
			msg="Site administration for the site '"+siteid+"' is blocked.\nYou will not be able to change your site settings.";
			break;
	}

	msg+="\n\nPlease contact your administrator if this setting\nis not correct.";
	alert(msg);
}
