<?php
// set application defaults
$defaults='INCLUDEFOLDER;IMAGEFOLDER;DATAFOLDER;';

$inifile='autodirector.ini';
$ini=parse_ini_file($inifile);
foreach ($ini as $key=>$value) {
	define($key, $value);
	$defaults=str_replace($key.';', '', $defaults);
}
unset($ini);

// missing application defaults
if ($defaults!='') {
	print "The following parameters are missing from the $inifile file:\n $defaults";
	exit;
}
unset($defaults);

// ________________________________________________________
// MAIN APPLICATION
header("Content-type: text/plain");

$site=getvar('site', '');
$logfile=DATAFOLDER.$site.'/enquiries.txt';
$log='';
if (file_exists($logfile)) $log=@readfile($logfile);

if ($log=='') print 'Your log file is empty.';
else print $log;


// ________________________________________________________
// fetches a GET form variable or sets to a default
function getvar($var, $default='') {
	if (isset($_GET[$var])) {
		$ret=$_GET[$var];
		if (get_magic_quotes_gpc()) $ret=stripslashes($ret);
	}
	else {
		$ret=$default;
	}

	$ret=str_replace('<', '&lt;', $ret);
	$ret=str_replace('>', '&gt;', $ret);

	return $ret;
}
?>