// AutoDirector vehicle administration JavaScript
var infoAlert=false;

// ________________________________________________________
// picture upload confirmation
function picupload() {
	if (loaded) {
		if (window.confirm("Pictures may take some time to upload and resize.\n\nPlease ensure you have only selected appropriate\nJPG pictures and click OK to continue.")) {
			form.page.value="picupload";
			form.submit();
		}
	}
}

// ________________________________________________________
// delete a picture
function picdelete(pic) {
	if (loaded) {
		if (window.confirm("Are you sure you want to delete picture "+(pic+1)+"?")) {
			form.picdelete.value=form.elements["pic"+pic].value;
			form.elements["pic"+pic].value="";
			form.page.value="picdelete";
			form.submit();
		}
	}
}

// ________________________________________________________
// swap a picture
function picswap(pic1, pic2) {
	if (loaded && document.images) {
		pic1name=form.elements["pic"+pic1].value;
		pic2name=form.elements["pic"+pic2].value;
		document.images["thumb"+pic1].src=thumbs+pic2name+".jpg";
		document.images["thumb"+pic2].src=thumbs+pic1name+".jpg";
		form.elements["pic"+pic1].value=pic2name;
		form.elements["pic"+pic2].value=pic1name;
	}
}

// ________________________________________________________
// open a preview of the picture
function picpreview(pic) {
	if (loaded) {
		var bWidth=picdim; var bHeight=picdim;
		var posX=0; var posY=0;
		var sWidth=0; var sHeight=0;
		if (screen.availWidth) { sWidth=screen.availWidth; }
		if (screen.availHeight) { sHeight=screen.availHeight; }
		if (sWidth>=bWidth && sHeight>=bHeight) {
			posX=(sWidth-bWidth)/2;
			posY=(sHeight-bHeight)/2;
		}

		var url=pics+form.elements["pic"+pic].value+".jpg";
		var win=window.open("", "preview", "width="+bWidth+",height="+bHeight+",toolbar=0,location=0,directories=0,status=0,menuBar=0,scrollBars=0,resizable=0,screenX="+posX+",screenY="+posY+",left="+posX+",top="+posY);

		var doc=win.document;
		doc.clear();
		doc.open();
		doc.write('<html><head><title>Picture preview</title></head><body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">');
		doc.write('<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0"><tr><td align="center" valign="middle"><img src="'+url+'" alt="picture preview" /></td></tr></table>');
		doc.write('</body></html>');
		doc.close();
		win.focus();
	}
}

// ________________________________________________________
// check vehicle information
function checkCar() {
	if (loaded) {
		errorsfound = false;

		if (form.year.value!="" && toInt(form.year.value)<1901) error("year", "Please enter the vehicle's year.");
		if (form.make.value=="") error("make", "Please enter the vehicle's make.");
		if (form.model.value=="") error("model", "Please enter the vehicle's model.");
		// if (form.price.value=="") error("price", "Please enter the vehicle's price.");
		var iLen=form.info.value.length;
		if (iLen>5000) error("info", "The additional information box permits 5000 characters.\nYou have entered "+iLen+" characters.");

		if (!errorsfound) {
			form.page.value = "update";
			form.submit();
		}
	}
}
